# AvailableLanIp

## 1. 接口描述

本接口(AvailableLanIp)用于查询可与指定弹性公网 IP（EIP）进行绑定的弹性网卡（vNIC）及其内网 IPv4 地址列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称  | 必选 | 类型     | 描述                                                                                                       |
| ----- | -- | ------ | -------------------------------------------------------------------------------------------------------- |
| eipId | 是  | String | <p>待查询的弹性公网 IP 的 ID。</p><p>接口将返回与该 EIP 同地域子网下的所有可绑定 vNIC 及内网 IP。</p><p>可通过 DescribeEips 接口获取 EIP ID。</p> |

## 3. 响应结果

| 参数名称      | 类型                                                                                     | 描述                                                       |
| --------- | -------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| lanIps    | Array of [PrivateIpInfo](/api-reference/cn/compute/zec/datastructure.md#privateipinfo) | 可与指定 EIP 绑定的 vNIC 与内网 IP 组合列表。                           |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取可用内网IP。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AvailableLanIp
<Common Request Params>

Request：
{
  "eipId": "xxx"
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "lanIps": [
      {
        "lanIp": "xxx",
        "nicId": "xxx",
        "nicName": "xxx",
        "instanceId": "xxx",
        "instanceName": "xxx"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/elastic-ip/availablelanip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
